## topline 0.1

=== Makefile ===
ALL=topline

CC=gcc
CFLAGS=-Wall -Og -g

all: $(ALL)

.c.o:
	$(CC) $(CFLAGS) -c $<
*.o:	topline.h

topline: topline.o cpu.o disk.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

clean:
	rm -f $(ALL) *.o

=== debian/changelog ===
topline (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #947736)

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 29 Dec 2019 18:26:35 +0100

=== debian/control ===
Source: topline
Section: utils
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/kilobyte/topline
Vcs-Browser: https://github.com/kilobyte/topline/tree/debian
Vcs-Git: https://github.com/kilobyte/topline -b debian

Package: topline
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: per-core/NUMA CPU and disk utilization plain-text grapher
 This is a top-of-the-line logger of CPU usage patterns, designed for
 machines with ca. 50-300 total hardware threads (fewer works but results
 in a narrow graph, more requires a very wide terminal).  Every per-tick
 sample is shown abusing Unicode characters to fit within a single line.
 .
 Disk usage is also shown in a similarly terse per-device way, as %
 utilization for reads and writes.

## topline 0.2

=== debian/changelog ===
topline (0.2-1) unstable; urgency=medium

  * New upstream release.
  * Restrict arch to linux-any.
  * M-A: foreign.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 03 Jan 2020 03:14:55 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
 Vcs-Git: https://github.com/kilobyte/topline -b debian
 
 Package: topline
-Architecture: any
+Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: per-core/NUMA CPU and disk utilization plain-text grapher
  This is a top-of-the-line logger of CPU usage patterns, designed for

## topline 0.3

=== debian/changelog ===
topline (0.3-1) unstable; urgency=medium

  * New upstream release.
    + Includes a fix for very narrow machines, that made CPU graph broken
      with 4 (x86) or 6 (ARM) threads or less.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 04 Feb 2020 05:18:32 +0100

topline (0.2-2) unstable; urgency=medium

  * An autopkgtest.
  * Fix FTBFS on mips* alpha sparc*.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Jan 2020 18:04:07 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	+$(MAKE) CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

=== debian/tests/control ===
Tests: run-and-signal

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v(\d[\d.]*)\.tar\.gz%topline-$1.tar.gz%" \
   https://github.com/kilobyte/topline/tags \
   (?:.*?/)?v(\d[\d.]*)\.tar\.gz debian uupdate

## topline 0.4

=== debian/changelog ===
topline (0.4-1) unstable; urgency=medium

  * New upstream bugfixes:
    + Work around a regression in select() on glibc 2.33.
    + Avoid a crash if a crapload of file descriptors are taken.
    + Fix possible fdset corruption on 64-bit big-endian.
  * Fix autopkgtest error messages being hidden by stdout mismatch.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #985756)

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 27 Mar 2021 21:25:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/kilobyte/topline
 Vcs-Browser: https://github.com/kilobyte/topline/tree/debian

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,5 @@
 	dh $@
 
 override_dh_auto_build:
-	+$(MAKE) CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
+	 dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
 		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

## topline 0.5

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	$(CC) $(CFLAGS) -c $<
 *.o:	topline.h
 
-topline: topline.o cpu.o disk.o
+topline: topline.o cpu.o disk.o signals.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
 
 clean:

=== debian/changelog ===
topline (0.5-1) unstable; urgency=medium

  * New upstream release:
    + Handles minor device numbers above 512.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 06 Sep 2021 04:21:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/kilobyte/topline
 Vcs-Browser: https://github.com/kilobyte/topline/tree/debian

## topline 0.6

=== Makefile ===
ALL=topline

CC=gcc
CFLAGS=-Wall -Og -g

all: $(ALL)

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<
*.o:	topline.h

topline: topline.o cpu.o disk.o signals.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^

clean:
	rm -f $(ALL) *.o

=== debian/changelog ===
topline (0.6-1) unstable; urgency=medium

  * New upstream release:
    + "topline -d some task" dumps the graph at the end of output.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 13 Apr 2025 23:35:14 +0200

=== debian/control ===
Source: topline
Section: utils
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://git.sr.ht/~kilobyte/topline
Vcs-Browser: https://git.sr.ht/~kilobyte/topline/tree/debian
Vcs-Git: https://git.sr.ht/~kilobyte/topline -b debian

Package: topline
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: per-core/NUMA CPU and disk utilization plain-text grapher
 This is a top-of-the-line logger of CPU usage patterns, designed for
 machines with a lot of cores, up to ~140 total hardware threads on an 80
 column terminal, more if your terminal is not minimal.  Every per-tick
 sample is shown abusing Unicode characters to fit within a single line.
 .
 Disk usage is also shown in a similarly terse per-device way, as %
 utilization for reads and writes.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@
